async function captureRouteOmit(ctx, next) {
	try {
		await next();
		if (!ctx.body) {
			// 没有资源
			ctx.status = 404;
			ctx.body = { message: "Not Found." };
		}
	} catch (e) {
		// 如果后面的代码报错 返回500(泛服务器错误)
		ctx.status = 500;
		ctx.body = { message: "Server Error." };
		// 记录错误日志
	}
}

module.exports = { captureRouteOmit };
